Summary:    Perl interface to IDEA block cipher
Name:        perl-Crypt-IDEA
Version:    1.10
Release:    1
License:    BSD with advertising
Url:        https://metacpan.org/release/Crypt-IDEA
Source0:    https://cpan.metacpan.org/authors/id/D/DP/DPARIS/Crypt-IDEA-%{version}.tar.gz
BuildRequires:    coreutils
BuildRequires:    findutils
BuildRequires:    gcc
BuildRequires:    make
BuildRequires:    perl-devel
BuildRequires:    perl-generators
BuildRequires:    perl-interpreter
BuildRequires:    perl(ExtUtils::MakeMaker)
BuildRequires:    sed
BuildRequires:    perl(Carp)
BuildRequires:    perl(DynaLoader)
BuildRequires:    perl(Exporter)
BuildRequires:    perl(strict)
BuildRequires:    perl(Test::More)
Requires:    perl(:MODULE_COMPAT_%(eval "`perl -V:version`"; echo $version))
%{?perl_default_filter}
%description
This perl extension is an implementation of the IDEA block cipher algorithm.
The module implements the Crypt::BlockCipher interface.
This implementation is copyright Systemics Ltd (http://www.systemics.com/).

%prep
%setup -q -n Crypt-IDEA-%{version}
sed -i -e '\|^#! */usr/local/bin/perl |d' IDEA.pm

%build
perl Makefile.PL INSTALLDIRS=vendor OPTIMIZE="%{optflags}"
make %{?_smp_mflags}

%install
make pure_install DESTDIR=%{buildroot}
find %{buildroot} -type f -name .packlist -delete
find %{buildroot} -type f -name '*.bs' -empty -delete
%{_fixperms} -c %{buildroot}

%check
make test

%files
%if 0%{?_licensedir:1}
%license COPYRIGHT
%else
%doc COPYRIGHT
%endif
%doc changes
%{perl_vendorarch}/Crypt/
%{perl_vendorarch}/auto/Crypt/
%{_mandir}/man3/Crypt::IDEA.3*

%changelog
* Wed Oct 21 2020 lihaiwei <lihaiwei8@huawei.com> - 1.10-1
- package init
